Yatca is free, so…

I’m doing a long, multi-day bike ride in support of an extremely worthy charity. It’s as simple as this: every €1,000 ($1,390 USD) that I raise pays for a simple but life-saving operation for somebody’s little boy or girl. I’ve never asked for payment or donations to support Yatca so if you’d like to show your appreciation for my efforts over the last 3-4 months, please visit my personal donation page. You’ll also find a lot more detail about the charity in there. Thanks!

Tags: , , , , , ,

9 Responses to “Yatca is free, so…”

  1. Shmern Says:

    Good Luck Dave!
    (didn’t realise you were in Ireland too!)

  2. Nick Says:

    What is different between BBOS 4.5 and 4.6 that requires you to use the latter for Yatca? I ask because, for example, the Facebook and AIM applications integrate with the Messages list very well (scary well in Facebook’s case) in v4.5, but you state 4.6 is required for Yatca.

    4.5 is the last OS version supported by the Curve series, so I can’t upgrade, hence can’t use Yatca. Since I can’t use your application (wish I could, looks really nice), I thought I’d just build a quick stick-friend-updates-in-the-message-list app, but you make it sound like that can’t be done with v4.5.

    • Yatca Says:

      @Nick 3rd party message list integration was only introduced in 4.6. Take a look at the API reference and you’ll see that all of the classes and interfaces in the net.rim.blackberry.api.messagelist package are “Since: 4.6.0”. Or search the comments posted to this blog and you’ll see a few from 4.5 users who report getting an error message that the net_rim_bbapi_messagelist file is missing.

      There’s a very simple reason why the Facebook, MySpace, etc. apps are not affected by this restriction: these apps are developed by RIM! I could write reams at this stage on various OS features that their in-house developers can use but the rest of us cannot. It is extremely frustrating and quite reminiscent of the way Microsoft used to behave in the bad old days when there were scores of undocumented Win32 APIs that only their own developers knew about, some of which saved hundreds of lines of code.

      The bottom line is that so long as RIM continue to play the “but I own the football” game 3rd party apps will always be one or two steps behind what RIM’s apps can do. If that’s what they want, that’s obviously their call, but it certainly isn’t conducive to having a thriving 3rd party app market to take on the iPhone. Rant over!

  3. Stephen Says:

    @Yatca,

    Thanks for the great app. your counter notification is what keeps me from using Twitterberry.

    I too have Ubertwitter, but only use it for ‘Search’ and to see ‘Everyone Near Me’ feature and other ‘lookup profile’ features.

    So as for Yatca vs Ubertwitter, it’s a dealbreaker.. but for me, i will still stick with yatca because of its counter notification (that’s what BB is all about).

    Sorry but this is out of topic, why isn’t there any Tasks / To-Do Lists program out there that supports counter notification for BB? How difficult is it to do this? Maybe you should go in there and charge 0.99 for it on BB App Store.. i bet you’d make thousands.

  4. Austin Says:

    Dear Yatca Author,

    Wanna thank you for the great software. Today screen number notifications are great for the Blackberry platform. You nailed it!… i would like to put in a few small requests for your subsequent releases if that is okay? You can ignore my wishes too if you’d like to since you’re the author of this great Twitter tool 🙂

    1) XXX instead of XX for no. of unread / new Tweets
    2) Different border color for @austin12345 mentions or dm austin12345 direct messages because sometimes we just screen thru Tweets and at times accidently delete the mentions or direct messages.
    3) Location Services support

    Thanks.

    • Yatca Says:

      @Austin Thanks! Just regarding your first wish, the device doesn’t allow an application to control the formatting of the number that appears in the notification area. Sorry! The other two wishes make sense (though just to clarify, you don’t have DM support in the version you’re using right now).

  5. ryan foster Says:

    Can you guys make a version for 4.5 please.

    • Yatca Says:

      @ryan There will never be a version of Yatca for 4.5 and earlier because the OS features that Yatca requires to integrate with the device inbox were only introduced in 4.6. Sorry.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s


%d bloggers like this: